SND_PCM_LIB_IOCTL(9)

NAME
snd_pcm_lib_ioctl - a generic PCM ioctl callback

SYNOPSIS

int snd_pcm_lib_ioctl(struct snd_pcm_substream * substream, unsigned int cmd, void * arg);

ARGUMENTS

substream
    the pcm substream instance

cmd
    ioctl command

arg
    ioctl argument

DESCRIPTION

Processes the generic ioctl commands for PCM. Can be passed as the ioctl callback for PCM ops.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT